%define major 4
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name

Summary:	Produces a document with syntax highlighting
Name:		source-highlight
Version:	3.1.7
Release:	%mkrel 6
Group:		Development/Tools
License:	GPLv3+
Source:		ftp://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
URL:		http://www.gnu.org/software/src-highlite/
Obsoletes:	java2html
Obsoletes:	cpp2html
Provides:	java2html
Provides:	cpp2html

BuildRequires:	bison 
BuildRequires:	flex
BuildRequires:	boost-devel
BuildRequires:	ctags help2man
Requires:	ctags help2man

%description
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %libname
Group: System/Libraries
Summary:Produces a document with syntax highlighting

%description -n %libname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %develname
Group: Development/C
Summary:Produces a document with syntax highlighting
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %develname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %staticname
Group: Development/C
Summary:Produces a document with syntax highlighting
Provides: lib%name-static-devel = %version-%release
Requires: %develname = %version-%release

%description -n %staticname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%prep
%setup -q

%build
%configure2_5x \
	--enable-static \
	--disable-dependency-tracking \
	--with-boost-libdir=%_libdir
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

rm -fr $RPM_BUILD_ROOT%{_datadir}/doc/

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%doc AUTHORS README CREDITS NEWS TODO.txt THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*
%{_sysconfdir}/bash_completion.d/*

%files -n %libname
%_libdir/lib%{name}.so.%{major}*

%files -n %develname
%doc ChangeLog
%_libdir/lib%{name}.so
%_libdir/pkgconfig/*.pc
%_includedir/srchilite

%files -n %staticname
%_libdir/lib%{name}.a


%changelog

* Wed Apr 10 2013 barjac <barjac> 3.1.7-6.mga3
+ Revision: 409463
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 3.1.7-5.mga3
+ Revision: 382397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 3.1.7-4.mga3
+ Revision: 332963
- rebuild for new boost

* Sun Oct 21 2012 malo <malo> 3.1.7-3.mga3
+ Revision: 308980
- update RPM group

* Tue Jul 31 2012 fwang <fwang> 3.1.7-2.mga3
+ Revision: 276523
- rebuild for new boost

* Sun Jul 01 2012 fwang <fwang> 3.1.7-1.mga3
+ Revision: 265910
- new version 3.1.7

* Tue May 29 2012 ovitters <ovitters> 3.1.6-2.mga3
+ Revision: 249414
- clean spec
- rebuild due to new boost

* Thu Dec 29 2011 fwang <fwang> 3.1.6-1.mga2
+ Revision: 188586
- new version 3.1.6

* Mon Nov 28 2011 fwang <fwang> 3.1.5-2.mga2
+ Revision: 173523
- rebuild for new boost

* Sat Sep 03 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 138089
- updated file list
- updated libmajor
- new version 3.1.5
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 3.1.3-5.mga2
+ Revision: 111888
- rebuild for new boost

* Sun Jan 09 2011 blino <blino> 3.1.3-4.mga1
+ Revision: 3310
- imported package source-highlight


* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 3.1.3-4mdv2011.0
+ Revision: 572621
- rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 3.1.3-3mdv2011.0
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 3.1.3-2mdv2010.1
+ Revision: 500055
- rebuild for new boost

* Sat Jan 16 2010 Götz Waschk <waschk@mandriva.org> 3.1.3-1mdv2010.1
+ Revision: 492493
- update to new version 3.1.3

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2010.1
+ Revision: 481912
- new version
- add library package

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.11.1-2mdv2009.1
+ Revision: 358058
- rebuild for latest libboost

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 2.11.1-1mdv2009.1
+ Revision: 319341
- new version 2.11.1

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 2.11-2mdv2009.1
+ Revision: 316580
- rebuild for new boost

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 2.11-1mdv2009.1
+ Revision: 308976
- specify boost libdir
- fix file list
- new version 2.11

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.10-2mdv2009.1
+ Revision: 296737
- fix build
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 2.10-1mdv2009.0
+ Revision: 239935
- update to new version 2.10

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2009.0
+ Revision: 196718
- New version 2.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 2.8-2mdv2008.1
+ Revision: 106331
- Rebuild against new boost

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 2.8-1mdv2008.1
+ Revision: 98365
- New version 2.8

* Sun Jun 24 2007 Funda Wang <fwang@mandriva.org> 2.7-1mdv2008.0
+ Revision: 43565
- New version


* Wed Oct 25 2006 Lenny Cartier <lenny@mandriva.com> 2.5-1mdv2007.0
+ Revision: 72298
- Update to 2.5
- Import source-highlight

